tt_message_arg_mode(library call)

NAME
tt_message_arg_mode — return the mode of a message argument

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_mode tt_message_arg_mode(
Tt_message m,
int n);

DESCRIPTION

The tt_message_arg_mode function returns the mode of the nth message argument.

The m argument is the opaque handle for the message involved in this operation. The n argument is the number of the argument to be returned. The first argument is numbered zero.

RETURN VALUE

Upon successful completion, the tt_message_arg_mode function returns a value that specifies who (sender, handler, observers) writes and reads a message argument. The following modes are defined:

TT_IN
    The argument is written by the sender and read by the handler and any observers.

TT_OUT
    The argument is written by the handler and read by the sender and any reply observers.

TT_INOUT
    The argument is written by the sender and the handler and read by all.

The application can use tt_int_error(3) to extract one of the following Tt_status values from the Tt_mode integer return value:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NUM
    The integer value passed was invalid (out of range).

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_int_error(3).